// ======================================================================
//
// StepAppear.cpp
// jeff grills
//
// copyright 1996 origin systems inc
//
// ======================================================================

#include "First.h"
#include "StepAppear.h"

#include "Extents.h"
#include "IFF.h"

// ======================================================================

StepAppear::StepAppear(const char *newName, Iff &iff, real newScale)
: MultiAppear(AppearIdStep, newName, &iff, newScale)
{
	currentFrame = 0;
}

// ----------------------------------------------------------------------

const Appear *StepAppear::getRenderAppear(Camera &camera, const Object *object) const
{
	const Appear *result;

	// pass the call along to the proper appearance at that range
	if (currentFrame < maxFrame)
		result = frame[currentFrame]->getRenderAppear(camera, object);
	else
		result = NULL;

	currentFrame++;

	return result;
}

// ----------------------------------------------------------------------

void StepAppear::render(Camera &, const Xform &) const
{
	DEBUG_FATAL(1, ("StepAppear::render should never get called"));
}

// ======================================================================
